#!/bin/bash
#
# 
# Installation script for Omega for Tamil (Extra Fonts)
#
# Alex A.J. <indicTeX@gmail.com>
#
#
# 08 Apr 2005: First version
#
#
#
echo -e "\nInstallation script for Omega for Tamil (Extra Fonts)"
echo -e "Alex A.J. <indicTeX@gmail.com>\n"
echo -e "Starting installation...\n"


echo -e "TEXMF root directory (Press <ENTER> if the default is ok)"
echo -e "(The default should be ok for most Linux systems)"
echo -e "Caution: DO NOT type / at the end of directory name\n"
echo -e "(/usr/share/texmf): \c"
read texdir
if [ "$texdir" = "" ]
then
   texdir="/usr/share/texmf"
fi

echo -e "\nInstalling packages...\n"

# The directories

mkdir -p $texdir/fonts/type1/tamil
mkdir -p $texdir/fonts/tfm/tamil
mkdir -p $texdir/fonts/map/dvips/tamil

# The files

cp -f ./pfb/*.pfb $texdir/fonts/type1/tamil
cp -f ./tfm/*.tfm $texdir/fonts/tfm/tamil
cp -f ./*.map $texdir/fonts/map/dvips/tamil

# Post installation commands

texhash
updmap-sys --enable Map tamil_02.map

echo -e "\n\nInstallation of Extra Fonts for Omega for Tamil completed successfully.\n"


#
#End of file
